Data Structures | Macros | Typedefs
gtkicon-theme-loader.h File Reference

Pidgin Icon Theme Loader Class API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include "theme-loader.h"`

Go to the source code of this file.

## Data Structures
struct | _PidginIconThemeLoader
struct | _PidginIconThemeLoaderClass

## Macros
#define | PIDGIN_TYPE_ICON_THEME_LOADER (pidgin_icon_theme_loader_get_type ())
#define | PIDGIN_ICON_THEME_LOADER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIDGIN_TYPE_ICON_THEME_LOADER, PidginIconThemeLoader))
#define | PIDGIN_ICON_THEME_LOADER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PIDGIN_TYPE_ICON_THEME_LOADER, PidginIconThemeLoaderClass))
#define | PIDGIN_IS_ICON_THEME_LOADER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIDGIN_TYPE_ICON_THEME_LOADER))
#define | PIDGIN_IS_ICON_THEME_LOADER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIDGIN_TYPE_ICON_THEME_LOADER))
#define | PIDGIN_ICON_THEME_LOADER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PIDGIN_TYPE_ICON_THEME_LOADER, PidginIconThemeLoaderClass))

## Typedefs
typedef struct _PidginIconThemeLoader | PidginIconThemeLoader
| A pidgin icon theme loader. More...
typedef struct _PidginIconThemeLoaderClass | PidginIconThemeLoaderClass

## Functions
Pidgin Icon Theme-Loader API
G_BEGIN_DECLS GType | pidgin_icon_theme_loader_get_type (void)
| GObject foo.

## Detailed Description

Pidgin Icon Theme Loader Class API.

Definition in file gtkicon-theme-loader.h.

## Typedef Documentation

## ◆ PidginIconThemeLoader

typedef struct _PidginIconThemeLoader PidginIconThemeLoader

A pidgin icon theme loader.

Extends PurpleThemeLoader (theme-loader.h) This is a class designed to build icon themes

PidginIconThemeLoader is a GObject.

Definition at line 39 of file gtkicon-theme-loader.h.